libzypp 17.37.10

PurgeKernels.cc File Reference
`#include <zypp/base/String.h>`
`#include <zypp/base/Logger.h>`
`#include <zypp/base/Regex.h>`
`#include <zypp/base/Iterator.h>`
`#include <zypp/PurgeKernels.h>`
`#include <zypp/PoolQuery.h>`
`#include <zypp/ResPool.h>`
`#include <zypp/Resolver.h>`
`#include <zypp/Filter.h>`
`#include <zypp/ZConfig.h>`
`#include <iostream>`
`#include <fstream>`
`#include <map>`
`#include <unordered_map>`
`#include <sys/utsname.h>`
`#include <functional>`
`#include <array>`
`#include <climits>`

Go to the source code of this file.

## Classes
struct | zypp::GroupInfo
struct | zypp::PurgeKernels::Impl

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Macros
#define | ZYPP_BASE_LOGGER_LOGGROUP "PurgeKernels"

## Typedefs
using | zypp::Flavour = std::string
using | zypp::SolvableList = std::list<sat::Solvable>
using | zypp::EditionToSolvableMap = std::map<Edition, SolvableList >
using | zypp::ArchToEditionMap = std::map<Arch, EditionToSolvableMap >
using | zypp::GroupMap = std::unordered_map<std::string, GroupInfo>

## Macro Definition Documentation

## ◆ ZYPP_BASE_LOGGER_LOGGROUP

#define ZYPP_BASE_LOGGER_LOGGROUP "PurgeKernels"

Definition at line 34 of file PurgeKernels.cc.